import request from '@/utils/request'

// 获取列表
export function getMemberTable(data) {
  return request({
    url: '/member/index',
    method: 'get',
    params: data
  })
}

// 移除队员
export function deleteMember(data) {
  return request({
    url: '/member/delmember',
    method: 'post',
    data
  })
}

// 获取团队列表
export function getTeamList() {
  return request({
    url: '/member/getteamlist',
    method: 'get',
    params: {}
  })
}

// 添加队员
export function addMember(data) {
  return request({
    url: '/member/addmember',
    method: 'post',
    data
  })
}

// 批量上传
export function addBatchUpload(data) {
  return request({
    url: '/member/manymember',
    method: 'post',
    headers: {
      'Content-Type': 'multipart/form-data'
    },
    data
  })
}

// 获取操作日志
export function getMemberLog(data) {
  return request({
    url: '/member/getchangeuserlog',
    method: 'Get',
    params: data
  })
}

// 转出
export function memberTrans(data) {
  return request({
    url: '/member/userchangeteam',
    method: 'POST',
    data
  })
}

// 修改队员
export function memberEdit(data) {
  return request({
    url: '/member/updatemember',
    method: 'POST',
    data
  })
}

// 获取下载模板
export function getDownload() {
  return request({
    url: '/member/downloadmanymember',
    method: 'GET'
  })
}

// 查看用户缴费信息
export function getPayTable(data) {
  return request({
    url: '/member/getchargelog',
    method: 'GET',
    params: data
  })
}

// 查看承诺书
export function getMemberBook(data) {
  return request({
    url: '/member/getmycommit',
    method: 'GET',
    params: data
  })
}
