import request from '@/utils/request'

// 登录
export function login(data) {
  return request({
    url: '/admin/login',
    method: 'post',
    data
  })
}

// 获取用户信息
export function getInfo(token) {
  return request({
    url: '/admin/getadmininfo',
    method: 'get',
    params: { token }
  })
}

// 退出登录
export function logout() {
  return request({
    url: '/admin/logout',
    method: 'get'
  })
}

// 修改密码
export function revisePassword(data) {
  return request({
    url: '/admin/editpassword',
    method: 'post',
    data
  })
}
