import Vue from 'vue'

import 'normalize.css/normalize.css' // A modern alternative to CSS resets

import ElementUI from 'element-ui'
import 'element-ui/lib/theme-chalk/index.css'
import locale from 'element-ui/lib/locale/lang/zh-CN' // elementUI中文

import '@/styles/index.scss' // 全局css

import './assets/icon/iconfont.css' // 引入外部icon

import App from './App'
import store from './store'
import router from './router'

import '@/permission' // 路由控制

import { directive } from '@/utils/directive' // 按钮权限

directive() // 执行 Vue.directive全局指令

// 设置elementUi语言
Vue.use(ElementUI, { locale })

Vue.config.productionTip = false

new Vue({
  el: '#app',
  router,
  store,
  render: h => h(App)
})
