// 异步权限显示路由
const asyncRouterMap = [
  {
    path: '/team',
    page: 'Layout',
    redirect: '/team/index',
    name: '支部管理',
    meta: { title: '支部管理', icon: 'plus-icon-huabanfuben', sort: 2 },
    children: [
      {
        path: 'index',
        name: 'team_index',
        page: 'team/index',
        meta: { title: '支部列表', icon: 'plus-icon-shenhe' }
      },
      {
        path: 'add',
        name: 'team_add',
        page: 'team/add',
        meta: { title: '创建支部', icon: 'plus-icon-order-add' }
      }
    ]
  },
  {
    path: '/member',
    page: 'Layout',
    redirect: '/member/index',
    name: '党员管理',
    meta: { title: '党员管理', icon: 'plus-icon-user', sort: 3 },
    children: [
      {
        path: 'index',
        name: 'member_index',
        page: 'member/index',
        meta: { title: '党员列表', icon: 'plus-icon-liebiao' }
      },
      {
        path: 'log',
        name: 'member_log',
        page: 'member/log',
        meta: { title: '操作记录', icon: 'plus-icon-rizhi' }
      }
    ]
  },
  {
    path: '/rollout',
    page: 'Layout',
    name: '转出管理',
    meta: { sort: 4 },
    children: [{
      path: 'index',
      name: 'rollout',
      page: 'rollout/index',
      meta: { title: '转出管理', icon: 'plus-icon-zhuanhuan' }
    }]
  },
  {
    path: '/charge',
    page: 'Layout',
    name: '收费管理',
    redirect: '/charge/index',
    meta: { title: '收费管理', icon: 'plus-icon-shoufeiguanli', sort: 5 },
    children: [{
      path: 'index',
      name: 'charge',
      page: 'charge/index',
      meta: { title: '收费明细', icon: 'plus-icon-shoufeiguanli' }
    }, {
      path: 'refund',
      name: 'refund',
      page: 'charge/refund',
      meta: { title: '退款明细', icon: 'plus-icon-shoufeiguanli' }
    }]
  },
  {
    path: '/book',
    page: 'Layout',
    name: '承诺书管理',
    meta: { sort: 6 },
    children: [{
      path: '',
      name: 'book',
      page: 'book/index',
      meta: { title: '承诺书管理', icon: 'plus-icon-shu' }
    }]
  },
  {
    path: '/feedback',
    page: 'Layout',
    name: '意见反馈',
    meta: { sort: 7 },
    children: [{
      path: '',
      name: 'feedback',
      page: 'feedback/index',
      meta: { title: '意见反馈', icon: 'plus-icon-yijianfankui' }
    }]
  },
  {
    path: '/notice',
    page: 'Layout',
    name: '公告管理',
    meta: { sort: 8 },
    children: [{
      path: 'index',
      name: 'notice',
      page: 'notice/index',
      meta: { title: '公告管理', icon: 'plus-icon-gonggao' }
    }]
  },
  {
    path: '/adminer',
    page: 'Layout',
    redirect: '/adminer/index',
    name: '后台管理',
    meta: { title: '后台管理', icon: 'plus-icon-houtai8', sort: 9 },
    children: [
      {
        path: 'index',
        name: 'admin_index',
        page: 'adminer/index',
        meta: { title: '管理员管理', icon: 'plus-icon-guanliyuan' }
      },
      {
        path: 'role',
        name: 'admin_role',
        page: 'adminer/role',
        meta: { title: '角色管理', icon: 'plus-icon-role' }
      }
    ]
  }
]

export default asyncRouterMap
